bochs(1)

NAME
bochs - Portable x86 Emulator.

SYNOPSIS
bochs [bochs_options] [bochsrc_options]

DESCRIPTION

Bochs is a portable Intel Architecture 32 (x86) emulator that runs on most popular operating systems. Inside the emulator, it can run many operating systems including Linux and Microsoft(R) Windows(R).

OPTIONS

When you run bochs without one of the following options, it will search for a configuration file called .bochsrc in the current directory and your home directory and display the start menu.

-q  With this option the start menu will be skipped after loading the configuration file.

-f configfile
    This option specifies the name of the configuration file.

-qf configfile
    When you run bochs with this option, it will skip the start menu and use the specified configuration file.

-n  With this option bochs doesn't load a configuration file. In that case the setup for the emulation must be done with bochsrc options on the command line or in the start menu.

-r path
    Restore the Bochs state from path

-log filename
    Specify Bochs log file name

-h, --help
    Print a summary of the command line options for bochs and exit.

-h, --help features
    Display available features / devices and exit

-h, --help cpu
    Display supported CPU models and exit

You can override the settings from the configuration file with command line arguments, using the same syntax as the bochsrc file. If you have any spaces in your command line arguments, they should be enclosed in single quotes. For information on Bochs command line and configuration file arguments, see the man page bochsrc(5). Example:
  bochs -q 'boot:a' 'floppya: 1_44=a.img, status=inserted'

LICENSE
This program is distributed under the terms of the GNU Lesser General Public License as published by the Free Software Foundation. See the LICENSE and COPYING files located in /usr/share/doc/bochs/ for details on the license and the lack of warranty.

AVAILABILITY
The latest version of this program can be found at:
    http://bochs.sourceforge.net/getcurrent.html

SEE ALSO
bochsrc(5), bochs-dlx(1), bximage(1)

The Bochs IA-32 Emulator site on the World Wide Web:
	http://bochs.sourceforge.net
Online Bochs Documentation
	http://bochs.sourceforge.net/doc/docbook

AUTHORS
The Bochs emulator was created by Kevin Lawton (kevin@mandrakesoft.com), and is currently maintained by the members of the Bochs x86 Emulator Project. You can see a current roster of members at:
    http://bochs.sourceforge.net/getinvolved.html

BUGS
Please report all bugs to the bug tracker on our web site. Just go to http://bochs.sourceforge.net, and click "Bug Reports" on the sidebar under "Feedback".

Provide a detailed description of the bug, the version of the program you are running, the operating system you are running the program on and the operating system you are running in the emulator.